<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Section (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Section (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Section.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/ReadingNotSupportedException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Section.html" target="_top">Frames</a></li>
        <li><a href="Section.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class Section" class="title">Class Section</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.Section</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Section</span>
extends java.lang.Object</pre>
                <div class="block">Represents a section in a <a href="../../../../org/apache/poi/hpsf/PropertySet.html"
                                                                title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#Section--">Section</a></span>()</code>
                                    <div class="block">Creates an empty <a
                                            href="../../../../org/apache/poi/hpsf/Section.html"
                                            title="class in org.apache.poi.hpsf"><code>Section</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#Section-byte:A-int-">Section</a></span>(byte[]&nbsp;src,
                                    int&nbsp;offset)</code>
                                    <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/Section.html"
                                                                    title="class in org.apache.poi.hpsf"><code>Section</code></a>
                                        instance from a byte array.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#Section-org.apache.poi.hpsf.Section-">Section</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/Section.html"
                                        title="class in org.apache.poi.hpsf">Section</a>&nbsp;s)</code>
                                    <div class="block">Constructs a <code>Section</code> by doing a deep copy of an
                                        existing <code>Section</code>.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#clear--">clear</a></span>()</code>
                                    <div class="block">Removes all properties from the section including 0 (dictionary)
                                        and 1 (codepage).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Checks whether this section is equal to another object.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getCodepage--">getCodepage</a></span>()</code>
                                    <div class="block">Gets the section's codepage, if any.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Map&lt;java.lang.Long,java.lang.String&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getDictionary--">getDictionary</a></span>()</code>
                                    <div class="block">Gets the section's dictionary.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                              title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getFormatID--">getFormatID</a></span>()</code>
                                    <div class="block">Returns the format ID.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getOffset--">getOffset</a></span>()</code>
                                    <div class="block">Returns the offset of the section in the stream.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getPIDString-long-">getPIDString</a></span>(long&nbsp;pid)</code>
                                    <div class="block">Returns the PID string associated with a property ID.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a href="../../../../org/apache/poi/hpsf/Property.html"
                                                              title="class in org.apache.poi.hpsf">Property</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getProperties--">getProperties</a></span>()</code>
                                    <div class="block">Returns this section's properties.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-">getProperty</a></span>(long&nbsp;id)</code>
                                    <div class="block">Returns the value of the property with the specified ID.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getPropertyCount--">getPropertyCount</a></span>()</code>
                                    <div class="block">Returns the number of properties in this section.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getSize--">getSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#removeProperty-long-">removeProperty</a></span>(long&nbsp;id)</code>
                                    <div class="block">Removes a property.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setCodepage-int-">setCodepage</a></span>(int&nbsp;codepage)</code>
                                    <div class="block">Sets the codepage.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setDictionary-java.util.Map-">setDictionary</a></span>(java.util.Map&lt;java.lang.Long,java.lang.String&gt;&nbsp;dictionary)</code>
                                    <div class="block">Sets the section's dictionary.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setFormatID-byte:A-">setFormatID</a></span>(byte[]&nbsp;formatID)</code>
                                    <div class="block">Sets the section's format ID.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setFormatID-org.apache.poi.hpsf.ClassID-">setFormatID</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;formatID)</code>
                                    <div class="block">Sets the section's format ID.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperties-org.apache.poi.hpsf.Property:A-">setProperties</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>[]&nbsp;properties)</code>
                                    <div class="block">Sets this section's properties.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-boolean-">setProperty</a></span>(int&nbsp;id,
                                    boolean&nbsp;value)</code>
                                    <div class="block">Sets the boolean value of the property with the specified ID.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-int-">setProperty</a></span>(int&nbsp;id,
                                    int&nbsp;value)</code>
                                    <div class="block">Sets the int value of the property with the specified ID.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-">setProperty</a></span>(int&nbsp;id,
                                    long&nbsp;value)</code>
                                    <div class="block">Sets the long value of the property with the specified ID.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-">setProperty</a></span>(int&nbsp;id,
                                    long&nbsp;variantType,
                                    java.lang.Object&nbsp;value)</code>
                                    <div class="block">Sets the value and the variant type of the property with the
                                        specified ID.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-java.lang.Object-">setProperty</a></span>(int&nbsp;id,
                                    java.lang.Object&nbsp;value)</code>
                                    <div class="block">Sets a property.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-java.lang.String-">setProperty</a></span>(int&nbsp;id,
                                    java.lang.String&nbsp;value)</code>
                                    <div class="block">Sets the string value of the property with the specified ID.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setProperty-org.apache.poi.hpsf.Property-">setProperty</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>&nbsp;p)</code>
                                    <div class="block">Sets a property.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#setPropertyBooleanValue-int-boolean-">setPropertyBooleanValue</a></span>(int&nbsp;id,
                                    boolean&nbsp;value)</code>
                                    <div class="block">Sets the value of the boolean property with the specified
                                        ID.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#toString-org.apache.poi.hpsf.wellknown.PropertyIDMap-">toString</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html"
                                        title="class in org.apache.poi.hpsf.wellknown">PropertyIDMap</a>&nbsp;idMap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#wasNull--">wasNull</a></span>()</code>
                                    <div class="block">Checks whether the property which the last call to <a
                                            href="../../../../org/apache/poi/hpsf/Section.html#getPropertyIntValue-long-"><code>getPropertyIntValue(long)</code></a>
                                        or
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                        tried to access
                                        was available or not.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Section.html#write-java.io.OutputStream-">write</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Writes this section into an output stream.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Section--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Section</h4>
                                <pre>public&nbsp;Section()</pre>
                                <div class="block">Creates an empty <a
                                        href="../../../../org/apache/poi/hpsf/Section.html"
                                        title="class in org.apache.poi.hpsf"><code>Section</code></a>.
                                </div>
                            </li>
                        </ul>
                        <a name="Section-org.apache.poi.hpsf.Section-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Section</h4>
                                <pre>public&nbsp;Section(<a href="../../../../org/apache/poi/hpsf/Section.html"
                                                            title="class in org.apache.poi.hpsf">Section</a>&nbsp;s)</pre>
                                <div class="block">Constructs a <code>Section</code> by doing a deep copy of an
                                    existing <code>Section</code>. All nested <code>Property</code>
                                    instances, will be their mutable counterparts in the new
                                    <code>MutableSection</code>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>s</code> - The section set to copy</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Section-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Section</h4>
                                <pre>public&nbsp;Section(byte[]&nbsp;src,
               int&nbsp;offset)
        throws java.io.UnsupportedEncodingException</pre>
                                <div class="block">Creates a <a href="../../../../org/apache/poi/hpsf/Section.html"
                                                                title="class in org.apache.poi.hpsf"><code>Section</code></a>
                                    instance from a byte array.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>src</code> - Contains the complete property set stream.</dd>
                                    <dd><code>offset</code> - The position in the stream that points to the
                                        section's format ID.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.UnsupportedEncodingException</code> - if the section's codepage is
                                        not
                                        supported.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFormatID--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatID</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hpsf/ClassID.html"
                                                    title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;getFormatID()</pre>
                                <div class="block">Returns the format ID. The format ID is the "type" of the
                                    section. For example, if the format ID of the first <a
                                            href="../../../../org/apache/poi/hpsf/Section.html"
                                            title="class in org.apache.poi.hpsf"><code>Section</code></a> contains the
                                    bytes specified by
                                    <code>org.apache.poi.hpsf.wellknown.SectionIDMap.SUMMARY_INFORMATION_ID</code>
                                    the section (and thus the property set) is a SummaryInformation.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The format ID</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormatID-org.apache.poi.hpsf.ClassID-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormatID</h4>
                                <pre>public&nbsp;void&nbsp;setFormatID(<a
                                        href="../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;formatID)</pre>
                                <div class="block">Sets the section's format ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formatID</code> - The section's format ID</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormatID-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormatID</h4>
                                <pre>public&nbsp;void&nbsp;setFormatID(byte[]&nbsp;formatID)</pre>
                                <div class="block">Sets the section's format ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formatID</code> - The section's format ID as a byte array. It components
                                        are in big-endian format.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOffset</h4>
                                <pre>public&nbsp;long&nbsp;getOffset()</pre>
                                <div class="block">Returns the offset of the section in the stream.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The offset of the section in the stream.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPropertyCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPropertyCount</h4>
                                <pre>public&nbsp;int&nbsp;getPropertyCount()</pre>
                                <div class="block">Returns the number of properties in this section.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of properties in this section.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperties</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hpsf/Property.html"
                                                    title="class in org.apache.poi.hpsf">Property</a>[]&nbsp;getProperties()</pre>
                                <div class="block">Returns this section's properties.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>This section's properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperties-org.apache.poi.hpsf.Property:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperties</h4>
                                <pre>public&nbsp;void&nbsp;setProperties(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>[]&nbsp;properties)</pre>
                                <div class="block">Sets this section's properties. Any former values are overwritten.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>properties</code> - This section's new properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getProperty-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperty</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;getProperty(long&nbsp;id)</pre>
                                <div class="block">Returns the value of the property with the specified ID. If
                                    the property is not available, <code>null</code> is returned
                                    and a subsequent call to <a
                                            href="../../../../org/apache/poi/hpsf/Section.html#wasNull"><code>wasNull</code></a>
                                    will return
                                    <code>true</code>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The property's value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        java.lang.String&nbsp;value)</pre>
                                <div class="block">Sets the string value of the property with the specified ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        int&nbsp;value)</pre>
                                <div class="block">Sets the int value of the property with the specified ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-"><code>setProperty(int,
                                            long, Object)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        long&nbsp;value)</pre>
                                <div class="block">Sets the long value of the property with the specified ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-"><code>setProperty(int,
                                            long, Object)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        boolean&nbsp;value)</pre>
                                <div class="block">Sets the boolean value of the property with the specified ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-"><code>setProperty(int,
                                            long, Object)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-long-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        long&nbsp;variantType,
                        java.lang.Object&nbsp;value)</pre>
                                <div class="block">Sets the value and the variant type of the property with the
                                    specified ID. If a property with this ID is not yet present in
                                    the section, it will be added. An already present property with
                                    the specified ID will be overwritten. A default mapping will be
                                    used to choose the property's type.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID.</dd>
                                    <dd><code>variantType</code> - The property's variant type.</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-java.lang.String-"><code>setProperty(int,
                                            String)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Variant.html"
                                           title="class in org.apache.poi.hpsf"><code>Variant</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-org.apache.poi.hpsf.Property-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>&nbsp;p)</pre>
                                <div class="block">Sets a property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - The property to be set.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-"><code>setProperty(int,
                                            long, Object)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Variant.html"
                                           title="class in org.apache.poi.hpsf"><code>Variant</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProperty-int-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>public&nbsp;void&nbsp;setProperty(int&nbsp;id,
                        java.lang.Object&nbsp;value)</pre>
                                <div class="block">Sets a property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property ID.</dd>
                                    <dd><code>value</code> - The property's value. The value's class must be one of
                                        those
                                        supported by HPSF.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPropertyBooleanValue-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPropertyBooleanValue</h4>
                                <pre>protected&nbsp;void&nbsp;setPropertyBooleanValue(int&nbsp;id,
                                       boolean&nbsp;value)</pre>
                                <div class="block">Sets the value of the boolean property with the specified
                                    ID.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The property's ID</dd>
                                    <dd><code>value</code> - The property's value</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#setProperty-int-long-java.lang.Object-"><code>setProperty(int,
                                            long, Object)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>,
                                        <a href="../../../../org/apache/poi/hpsf/Variant.html"
                                           title="class in org.apache.poi.hpsf"><code>Variant</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the section's size in bytes.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="wasNull--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>wasNull</h4>
                                <pre>public&nbsp;boolean&nbsp;wasNull()</pre>
                                <div class="block">Checks whether the property which the last call to <a
                                        href="../../../../org/apache/poi/hpsf/Section.html#getPropertyIntValue-long-"><code>getPropertyIntValue(long)</code></a>
                                    or <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                    tried to access
                                    was available or not. This information might be important for
                                    callers of <a
                                            href="../../../../org/apache/poi/hpsf/Section.html#getPropertyIntValue-long-"><code>getPropertyIntValue(long)</code></a>
                                    since the latter
                                    returns 0 if the property does not exist. Using <a
                                            href="../../../../org/apache/poi/hpsf/Section.html#wasNull"><code>wasNull</code></a>
                                    the caller can distiguish this case from a property's
                                    real value of 0.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the last call to <a
                                            href="../../../../org/apache/poi/hpsf/Section.html#getPropertyIntValue-long-"><code>getPropertyIntValue(long)</code></a>
                                        or
                                        <a href="../../../../org/apache/poi/hpsf/Section.html#getProperty-long-"><code>getProperty(long)</code></a>
                                        tried to access a
                                        property that was not available, else <code>false</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPIDString-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPIDString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getPIDString(long&nbsp;pid)</pre>
                                <div class="block">Returns the PID string associated with a property ID. The ID
                                    is first looked up in the <a href="../../../../org/apache/poi/hpsf/Section.html"
                                                                 title="class in org.apache.poi.hpsf"><code>Sections</code></a>
                                    private dictionary.
                                    If it is not found there, the property PID string is taken
                                    from sections format IDs namespace.
                                    If the PID is also undefined there, i.e. it is not well-known,
                                    <code>"[undefined]"</code> is returned.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pid</code> - The property ID</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The well-known property ID string associated with the
                                        property ID <code>pid</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <div class="block">Removes all properties from the section including 0 (dictionary) and
                                    1 (codepage).
                                </div>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Checks whether this section is equal to another object. The result is
                                    <code>false</code> if one of the the following conditions holds:

                                    <ul>

                                        <li>The other object is not a <a
                                                href="../../../../org/apache/poi/hpsf/Section.html"
                                                title="class in org.apache.poi.hpsf"><code>Section</code></a>.

                                        <li>The format IDs of the two sections are not equal.

                                        <li>The sections have a different number of properties. However,
                                            properties with ID 1 (codepage) are not counted.

                                        <li>The other object is not a <a
                                                href="../../../../org/apache/poi/hpsf/Section.html"
                                                title="class in org.apache.poi.hpsf"><code>Section</code></a>.

                                        <li>The properties have different values. The order of the properties
                                            is irrelevant.

                                    </ul>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - The object to compare this section with</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the objects are equal, <code>false</code> if
                                        not
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeProperty-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeProperty</h4>
                                <pre>public&nbsp;void&nbsp;removeProperty(long&nbsp;id)</pre>
                                <div class="block">Removes a property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The ID of the property to be removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;int&nbsp;write(java.io.OutputStream&nbsp;out)
          throws <a href="../../../../org/apache/poi/hpsf/WritingNotSupportedException.html"
                    title="class in org.apache.poi.hpsf">WritingNotSupportedException</a>,
                 java.io.IOException</pre>
                                <div class="block">Writes this section into an output stream.<p>

                                    Internally this is done by writing into three byte array output
                                    streams: one for the properties, one for the property list and one for
                                    the section as such. The two former are appended to the latter when they
                                    have received all their data.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The stream to write into.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of bytes written, i.e. the section's size.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs</dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hpsf/WritingNotSupportedException.html"
                                            title="class in org.apache.poi.hpsf">WritingNotSupportedException</a></code>
                                        - if HPSF does not yet support
                                        writing a property's variant type.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDictionary-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDictionary</h4>
                                <pre>public&nbsp;void&nbsp;setDictionary(java.util.Map&lt;java.lang.Long,java.lang.String&gt;&nbsp;dictionary)
                   throws <a href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html"
                             title="class in org.apache.poi.hpsf">IllegalPropertySetDataException</a></pre>
                                <div class="block">Sets the section's dictionary. All keys in the dictionary must be
                                    <code>Long</code> instances, all values must be
                                    <code>String</code>s. This method overwrites the properties with IDs
                                    0 and 1 since they are reserved for the dictionary and the dictionary's
                                    codepage. Setting these properties explicitly might have surprising
                                    effects. An application should never do this but always use this
                                    method.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dictionary</code> - The dictionary</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html"
                                            title="class in org.apache.poi.hpsf">IllegalPropertySetDataException</a></code>
                                        - if the dictionary's key and
                                        value types are not correct.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../org/apache/poi/hpsf/Section.html#getDictionary--"><code>getDictionary()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Object.hashCode()</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Object.toString()</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString-org.apache.poi.hpsf.wellknown.PropertyIDMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString(<a
                                        href="../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html"
                                        title="class in org.apache.poi.hpsf.wellknown">PropertyIDMap</a>&nbsp;idMap)</pre>
                            </li>
                        </ul>
                        <a name="getDictionary--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDictionary</h4>
                                <pre>public&nbsp;java.util.Map&lt;java.lang.Long,java.lang.String&gt;&nbsp;getDictionary()</pre>
                                <div class="block">Gets the section's dictionary. A dictionary allows an application to
                                    use human-readable property names instead of numeric property IDs. It
                                    contains mappings from property IDs to their associated string
                                    values. The dictionary is stored as the property with ID 0. The codepage
                                    for the strings in the dictionary is defined by property with ID 1.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the dictionary or <code>null</code> if the section does not have
                                        a dictionary.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCodepage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCodepage</h4>
                                <pre>public&nbsp;int&nbsp;getCodepage()</pre>
                                <div class="block">Gets the section's codepage, if any.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The section's codepage if one is defined, else -1.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCodepage-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setCodepage</h4>
                                <pre>public&nbsp;void&nbsp;setCodepage(int&nbsp;codepage)</pre>
                                <div class="block">Sets the codepage.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>codepage</code> - the codepage</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Section.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/ReadingNotSupportedException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Section.html" target="_top">Frames</a></li>
        <li><a href="Section.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
